Subject: Re: Intermittent failures in t9119

From: "David D. Kilzer" <[email-masked]>
Date: Sat, 4 Dec 2010 17:21:38 -0800 (PST)

On Fri, December 3, 2010 at 6:19:16 PM, Junio C Hamano wrote:

> I am  seeing breakages from the said test:
> 
>     not ok - 6 info  file
>     #
>     #                (cd svnwc; svn info file) > expected.info-file  &&
>     #                (cd gitwc; git svn info file) > actual.info-file &&
>      #               test_cmp expected.info-file  actual.info-file
> 
>     : trash  directory.t9119-git-svn-info/master; diff *.info-file
>      12c12
>     < Text Last Updated: 2010-12-04 00:34:58 +0000 (Sat,  04 Dec 2010)
>     ---
>     > Text Last Updated:  2010-12-04 00:34:57 +0000 (Sat, 04 Dec 2010)
> 
> I do not know if we should  expect output from "svn info" to match exactly
> like the above.  Is "Text  Last Updated" supposed to show the stat
> timestamp of the working tree (I see  "(stat $path)[9]" there)?  If so,
> unless the checkout/update in svnwc  and gitwc prior to this test was done
> within the same second, we do not have  a good reason to expect that these
> files should be identical.

The modification timestamp (mtime) for the two files should be in sync due to 
this line in t9119-git-svn-info.sh in 'setup repository and import':

        ptouch gitwc/file svnwc/file &&

> I  _think_ "svn info file" actually gives the timestamp of the revision
> that  touched the file the last (in their linear worldview of the history),
> so  perhaps this is demonstrating the real bug, but only when the test runs
> very  slowly?

What platform/OS is the test failing on?  I can't reproduce it on an 8-core Mac 
Pro with Mac OS X 10.6.5.

Dave